PowerTerm InterConnect Mac system requirements from Ericom

System Requirements


PowerTerm InterConnect

( Mac OS Edition)

Listed below are the minimum system requirements that are needed to run your PowerTerm software to its full potential.

  • Operating System: Mac OS X 10.3 – 10.12 (requires 32-bit application support)
  • 100 MB free space on your hard disk.

  Close Window






Top